org.firebirdsql.jdbc.parser

## Class JaybirdSqlParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - org.firebirdsql.jdbc.parser.JaybirdSqlParser

    public class JaybirdSqlParser
    extends org.antlr.v4.runtime.Parser

### Nested Class Summary

Nested Classes
`static class` `JaybirdSqlParser.AliasContext`
`static class` `JaybirdSqlParser.ColumnNameContext`
`static class` `JaybirdSqlParser.DeleteStatementContext`
`static class` `JaybirdSqlParser.FullIdentifierContext`
`static class` `JaybirdSqlParser.InsertStatementContext`
`static class` `JaybirdSqlParser.MergeStatementContext`
`static class` `JaybirdSqlParser.ReturningClauseContext`
`static class` `JaybirdSqlParser.ReturningColumnListContext`
`static class` `JaybirdSqlParser.SimpleIdentifierContext`
`static class` `JaybirdSqlParser.SimpleValueContext`
`static class` `JaybirdSqlParser.StatementContext`
`static class` `JaybirdSqlParser.TableNameContext`
`static class` `JaybirdSqlParser.UpdateOrInsertStatementContext`
`static class` `JaybirdSqlParser.UpdateStatementContext`

### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

`org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

### Field Summary

Fields
`static org.antlr.v4.runtime.atn.ATN` `_ATN`
`protected static org.antlr.v4.runtime.dfa.DFA[]` `_decisionToDFA`
`static java.lang.String` `_serializedATN`
`protected static org.antlr.v4.runtime.atn.PredictionContextCache` `_sharedContextCache`
`static int` `AS`
`static int` `BINARY_STRING`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DELETE`
`static int` `FROM`
`static int` `GENERIC_ID`
`static int` `INSERT`
`static int` `INTO`
`static int` `LEFT_PAREN`
`static int` `MERGE`
`static int` `OR`
`static int` `OTHER`
`static int` `Q_STRING`
`static int` `QUOTED_ID`
`static int` `RETURNING`
`static int` `RIGHT_PAREN`
`static int` `RULE_alias`
`static int` `RULE_columnName`
`static int` `RULE_deleteStatement`
`static int` `RULE_fullIdentifier`
`static int` `RULE_insertStatement`
`static int` `RULE_mergeStatement`
`static int` `RULE_returningClause`
`static int` `RULE_returningColumnList`
`static int` `RULE_simpleIdentifier`
`static int` `RULE_simpleValue`
`static int` `RULE_statement`
`static int` `RULE_tableName`
`static int` `RULE_updateOrInsertStatement`
`static int` `RULE_updateStatement`
`static java.lang.String[]` `ruleNames`
`static int` `SET`
`static int` `SL_COMMENT`
`protected JaybirdStatementModel` `statementModel`
`static int` `STRING`
`static int` `T__0`
`static int` `T__1`
`static int` `T__2`
`static java.lang.String[]` `tokenNames` Deprecated. Use `VOCABULARY` instead.
`static int` `UPDATE`
`static org.antlr.v4.runtime.Vocabulary` `VOCABULARY`
`static int` `WS`

### Fields inherited from class org.antlr.v4.runtime.Parser

`_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

### Constructor Summary

Constructors
Constructor and Description
`JaybirdSqlParser(org.antlr.v4.runtime.TokenStream input)`

### Method Summary

Methods
`JaybirdSqlParser.AliasContext` `alias()`
`JaybirdSqlParser.ColumnNameContext` `columnName()`
`JaybirdSqlParser.DeleteStatementContext` `deleteStatement()`
`JaybirdSqlParser.FullIdentifierContext` `fullIdentifier()`
`org.antlr.v4.runtime.atn.ATN` `getATN()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getRuleNames()`
`java.lang.String` `getSerializedATN()`
`JaybirdStatementModel` `getStatementModel()`
`java.lang.String[]` `getTokenNames()` Deprecated.
`org.antlr.v4.runtime.Vocabulary` `getVocabulary()`
`JaybirdSqlParser.InsertStatementContext` `insertStatement()`
`JaybirdSqlParser.MergeStatementContext` `mergeStatement()`
`JaybirdSqlParser.ReturningClauseContext` `returningClause()`
`JaybirdSqlParser.ReturningColumnListContext` `returningColumnList()`
`JaybirdSqlParser.SimpleIdentifierContext` `simpleIdentifier()`
`JaybirdSqlParser.SimpleValueContext` `simpleValue()`
`JaybirdSqlParser.StatementContext` `statement()`
`JaybirdSqlParser.TableNameContext` `tableName()`
`JaybirdSqlParser.UpdateOrInsertStatementContext` `updateOrInsertStatement()`
`JaybirdSqlParser.UpdateStatementContext` `updateStatement()`

### Methods inherited from class org.antlr.v4.runtime.Parser

`addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _decisionToDFA

    protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

#### _sharedContextCache

    protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

#### T__0

    public static final int T__0

See Also:
  Constant Field Values

#### T__1

    public static final int T__1

See Also:
  Constant Field Values

#### T__2

    public static final int T__2

See Also:
  Constant Field Values

#### AS

    public static final int AS

See Also:
  Constant Field Values

#### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

#### FROM

    public static final int FROM

See Also:
  Constant Field Values

#### INSERT

    public static final int INSERT

See Also:
  Constant Field Values

#### INTO

    public static final int INTO

See Also:
  Constant Field Values

#### MERGE

    public static final int MERGE

See Also:
  Constant Field Values

#### OR

    public static final int OR

See Also:
  Constant Field Values

#### RETURNING

    public static final int RETURNING

See Also:
  Constant Field Values

#### SET

    public static final int SET

See Also:
  Constant Field Values

#### UPDATE

    public static final int UPDATE

See Also:
  Constant Field Values

#### LEFT_PAREN

    public static final int LEFT_PAREN

See Also:
  Constant Field Values

#### RIGHT_PAREN

    public static final int RIGHT_PAREN

See Also:
  Constant Field Values

#### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### BINARY_STRING

    public static final int BINARY_STRING

See Also:
  Constant Field Values

#### Q_STRING

    public static final int Q_STRING

See Also:
  Constant Field Values

#### GENERIC_ID

    public static final int GENERIC_ID

See Also:
  Constant Field Values

#### QUOTED_ID

    public static final int QUOTED_ID

See Also:
  Constant Field Values

#### SL_COMMENT

    public static final int SL_COMMENT

See Also:
  Constant Field Values

#### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

#### WS

    public static final int WS

See Also:
  Constant Field Values

#### OTHER

    public static final int OTHER

See Also:
  Constant Field Values

#### RULE_statement

    public static final int RULE_statement

See Also:
  Constant Field Values

#### RULE_deleteStatement

    public static final int RULE_deleteStatement

See Also:
  Constant Field Values

#### RULE_updateStatement

    public static final int RULE_updateStatement

See Also:
  Constant Field Values

#### RULE_updateOrInsertStatement

    public static final int RULE_updateOrInsertStatement

See Also:
  Constant Field Values

#### RULE_insertStatement

    public static final int RULE_insertStatement

See Also:
  Constant Field Values

#### RULE_mergeStatement

    public static final int RULE_mergeStatement

See Also:
  Constant Field Values

#### RULE_returningClause

    public static final int RULE_returningClause

See Also:
  Constant Field Values

#### RULE_simpleIdentifier

    public static final int RULE_simpleIdentifier

See Also:
  Constant Field Values

#### RULE_fullIdentifier

    public static final int RULE_fullIdentifier

See Also:
  Constant Field Values

#### RULE_tableName

    public static final int RULE_tableName

See Also:
  Constant Field Values

#### RULE_returningColumnList

    public static final int RULE_returningColumnList

See Also:
  Constant Field Values

#### RULE_columnName

    public static final int RULE_columnName

See Also:
  Constant Field Values

#### RULE_alias

    public static final int RULE_alias

See Also:
  Constant Field Values

#### RULE_simpleValue

    public static final int RULE_simpleValue

See Also:
  Constant Field Values

#### ruleNames

    public static final java.lang.String[] ruleNames

#### VOCABULARY

    public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

#### tokenNames

    @Deprecated
    public static final java.lang.String[] tokenNames

Deprecated. Use `VOCABULARY` instead.

#### statementModel

    protected JaybirdStatementModel statementModel

#### _serializedATN

    public static final java.lang.String _serializedATN

See Also:
  Constant Field Values

#### _ATN

    public static final org.antlr.v4.runtime.atn.ATN _ATN

### Constructor Detail

#### JaybirdSqlParser

    public JaybirdSqlParser(org.antlr.v4.runtime.TokenStream input)

### Method Detail

#### getTokenNames

    @Deprecated
    public java.lang.String[] getTokenNames()

Deprecated.

Specified by:
  `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getVocabulary

    public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getGrammarFileName

    public java.lang.String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getRuleNames

    public java.lang.String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getSerializedATN

    public java.lang.String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getATN

    public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getStatementModel

    public JaybirdStatementModel getStatementModel()

#### statement

    public final JaybirdSqlParser.StatementContext statement()
                                                      throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### deleteStatement

    public final JaybirdSqlParser.DeleteStatementContext deleteStatement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### updateStatement

    public final JaybirdSqlParser.UpdateStatementContext updateStatement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### updateOrInsertStatement

    public final JaybirdSqlParser.UpdateOrInsertStatementContext updateOrInsertStatement()
                                                                                  throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### insertStatement

    public final JaybirdSqlParser.InsertStatementContext insertStatement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### mergeStatement

    public final JaybirdSqlParser.MergeStatementContext mergeStatement()
                                                                throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### returningClause

    public final JaybirdSqlParser.ReturningClauseContext returningClause()
                                                                  throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### simpleIdentifier

    public final JaybirdSqlParser.SimpleIdentifierContext simpleIdentifier()
                                                                    throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### fullIdentifier

    public final JaybirdSqlParser.FullIdentifierContext fullIdentifier()
                                                                throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### tableName

    public final JaybirdSqlParser.TableNameContext tableName()
                                                      throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### returningColumnList

    public final JaybirdSqlParser.ReturningColumnListContext returningColumnList()
                                                                          throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### columnName

    public final JaybirdSqlParser.ColumnNameContext columnName()
                                                        throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### alias

    public final JaybirdSqlParser.AliasContext alias()
                                              throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### simpleValue

    public final JaybirdSqlParser.SimpleValueContext simpleValue()
                                                          throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`